$ErrorActionPreference = 'Stop';
$PackageName           = $env:ChocolateyPackageName;
$App                   = $PackageName.Split(".")[0];
$InstallDir            = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)";
$ToolsDir              = Split-Path -parent $MyInvocation.MyCommand.Definition;

$PackageArgs = @{
  PackageName     = $PackageName
  UnzipLocation   = $InstallDir
  FileType        = 'exe'
  File64          = Get-Item $(Join-Path $ToolsDir "DevHub-Setup-0.102.0.exe")

  SoftwareName    = 'devhub*'

  Checksum64      = "656b8b133115d06700d76684416710e2660c393c432d04a6e9bd74a808e44935b6a9e30075c1ab3db3e47d3d601db53f5a2bd5daf18102725d854b6bd0363c87"
  ChecksumType64  = 'sha512'
  
  SilentArgs      = "/S", "/SILENT", "/VERYSILENT", "/SUPPRESSMSGBOXES", "/NORESTART", "/SP-", "/LOG"
  ValidExitCodes  = @(0)
};

Install-ChocolateyPackage @PackageArgs;
Remove-Item $(Get-Item $(Join-Path $ToolsDir "DevHub-Setup-0.102.0.exe"));